Package: org.gradle.api.tasks

## [Java] Class StopActionException

- org.gradle.api.tasks.StopActionException

- A `StopActionException` is be thrown by a task Action or task action closure to stop its own execution and to start execution of the task's next action. An action can usually be stopped by just calling return inside the action closure. But if the action works with helper methods that can lead to redundant code. For example:

           List existentSourceDirs = HelperUtil.getExistentSourceDirs()
           if (!existentSourceDirs) {return}

  If the `getExistentSourceDirs()` throws a `StopActionException` instead, the tasks does not need the if statement.

  Note that throwing this exception does not fail the execution of the task or the build.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `StopActionException ()`
    `StopActionException (String message)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public StopActionException()

    - #### public StopActionException(String message)